2005-01-01  Luc Pionchon  <luc@handhelds.org>

	* configure.c (create_pageSetup): remove markup from i18n'ed strings

2005-01-01  Phil Blundell  <philb@gnu.org>

	* Version 0.34 released.

2005-01-01  Phil Blundell  <philb@gnu.org>

	Rewrite layout parser to use GMarkup rather than libxml2 DOM API:
	* structure.c (new_element): New.
	(xml_parser_start_element): Likewise.
	(xml_parser_end_element): Likewise.
	(xml_parser_text): Likewise.
	(free_ctx): Likewise.
	(read_structure): Reimplement using GMarkupParser and above
	functions.
	(structure_parse_xml_item): Deleted.
	(structure_parse_xml_group): Likewise.
	(structure_parse_xml_page): Likewise.
	(structure_parse_xml): Likewise.
	* Makefile (PACKAGE_CFLAGS): Remove libxml2 flags.
	(PACKAGE_LDFLAGS): Likewise.

2004-11-25  Florian Boor <florian.boor@kernelconcepts.de>

    * structure.c (load_well_known_tags): Make sure all tags are uppercase.
    * db.c: New functions (db_check_tags, check_one_tag) to make sure all
            tags are upercase.
    * finddlg.c, finddlg.h, db.c, db.h, main.c: Applied patch to speed up 
                                                search using SQL. Thanks
                                                to Christian Gillot for this.
            
2004-11-18  Phil Blundell  <philb@gnu.org>

	* Version 0.33 released.

2004-11-14  Phil Blundell  <pb@nexus.co.uk>

	* editing.c (pop_singles): Set expand=FALSE when packing table
	into vbox.

	* db.c (db_get_config_tag): Avoid segfault if query returns no data.

2004-11-07  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (LINGUAS): Add fr, zh_CN.
	* po/ru.po: Updated, courtesy Pavel Maryanov.
	* po/zh_CN.po: New file, courtesy Meng Jie.
	* po/fr.po: New file, courtesy Luc Pionchon.

2004-10-25  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c (create_main): Changed tree selection mode to make sure that a
                            contact is selected all the time.

2004-10-24  Florian Boor <florian.boor@kernelconcepts.de>

    * editing.c: New function on_phone_insert_text() introduces a cleverer 
                 way to filter text in phone entries.
    * editing.c (pop_singles): Use on_phone_insert_text() instead of 
                               phone_key_press_event().  

2004-10-20  Florian Boor <florian.boor@kernelconcepts.de>

	* editing.c: Fixed name label position.
	* contacts-layout.xml: Removed second name label causing trouble.

2004-10-19  Florian Boor <florian.boor@kernelconcepts.de>

	* editing.c: Applied patch to fix diabled button if window is closed.
	             Courtesy by Philippe De Swert - many thanks.
				 Fixed another bug causing the same effect.

2004-10-16  Florian Boor <florian.boor@kernelconcepts.de>

    * Released Version 0.32
    * main.c: Moved screen layout detection.
    * edit-vcard.desktop.in, edit-vcard.png: New files
    * export.* (save_to_file): New function to save vcards.
    * editing.c: Change behaviour if running standalone.
    * proto.h, editing.c, main.c: Made edit window title free selectable.
    * main.c: Added switch to edit personal vcard only.
    * db.* (db_open): Open alternate database.

2004-10-16  Florian Boor <florian.boor@kernelconcepts.de>

    * editing.c (phone_key_press_event): Fixed copy and paste hotkeys.
    
2004-10-13  Florian Boor <florian.boor@kernelconcepts.de>

    * export.*, main.c: Added support for irda transfer via dbus.

2004-10-12  Florian Boor <florian.boor@kernelconcepts.de>
    
    * Released Version 0.31
    * main.c: Using of find dialog, Ctrl+f, button (landscape)
    * finddlg.[c/h]: New files for find dialog.
    * Makefile: Added new files, changed version number.
    * db.c, db.h (db_get_entries_filtered): New search function to return
                                            contacts that contain a given 
                                            string.

2004-10-11  Florian Boor <florian.boor@kernelconcepts.de>

    * main.c: Reduced effect of "-n" switch to hide structure edit.
    * configure.c: Added database tab provides database compacting and info.
    * db.*: Added functions for database cleanup (db_compress) and database
            size info (db_size);
    * main.c, configure.c: Implemented landscape mode list position config.
    * configure.c: Config values for portrait mode only shown if portrait
                   is active.
    * db.*: Removed obsolete db_get_entries_alpha() and friends;
            Added function to update a config value. (db_update_config_values)
    * main.c (delete_contact): Fixed cursor positioning after delete. 

2004-10-09  Florian Boor  <florian.boor@kernelconcepts.de>

    * Released Version 0.30
    * main.c: Minor changes to detail window layout.
    * editing.c: Changed declaration to fix compile error with gcc 2.95. 
    * editing.c: Removed redundant delete button in edit window for small 
                 screens.
    * main.c: Implemented details window.
              Fixed activation of details button.    

2004-10-06  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: New button to show details in small portrait mode.
              Fixed button help texts to make sure the long help text is
              shown at all.
    
2004-10-05  Florian Boor  <florian.boor@kernelconcepts.de>

    * Makefile: Version is 0.30 now.
    * main.c (pop_singles): Increased spacing between widgets.
    * editing.c: Changed some packing to improve image display.
    * proto.h, editing.c: Made build_categories_string() public available.
    * main.c (show_details): Added message if no contact selected.
                             Shows categories now.

2004-10-04  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c (window_key_press_event): Delete key deletes entry if not used for
                                       search entry. 
    * main.c (show_details, build_children, pop_singles):
             Major changes to detail display: Uses structure similar to 
             database layout now.
    * main.c (create_main): Moved details table to scrolled window.
    * main.c (window_key_press_event): Jump to search box if chars are typed.
    * editing.c (store_name_fields): Fixed source of a segfault.
    * namedetail.c (do_edit_name_detail): Minor formating fixes.
                                          Window transient to edit dialog.
    * namedetail.c: Ordered titles/suffixes and addded missing ones.

2004-09-27  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Some minor bugfixes and speed improvements.
              Minor formating fixes, removed some old cruft.
    * editing.c: Fixed two bugs causing segfaults in store_filename() and
                 store_name_fields().

2004-09-20  Florian Boor  <florian.boor@kernelconcepts.de>

    * Released V 0.29
    * editing.c: Fixed segfault on short name.

2004-09-16  Florian Boor  <florian.boor@kernelconcepts.de>
    
    * editing.c: Fixed bug causing name update to fail.
                 Changed layout of name editing widgets.
                 Fixed growing whitespace in some names.
                 Doubleclick on contacts opens editing window.
                 
    * main.c: Added position status display for large screens.
              Limited size of list in large screen mode.

2004-09-15  Florian Boor  <florian.boor@kernelconcepts.de>
    
    * main.c: Wrap around if up key is pressed and we are at first item.
              Added Ctrl+d as shortcut for delete.
              Added short scroll delays before wrap around.
    * main.c: Clear display if nothing to select in search list.
    * main.c: Set list to first contact on application start.
    * db.*, main.c: Added middle name and company to search.
    * namedetail.c: Fixed minor bug causing wrong defaults and warnings.
    * editing.c: Make name detail dialog work with new contacts. 
                 Moved name splitter to separate function.
    * namedetail.c: Removed debug code and old name splitter.
    * *.xml: Some more design tweaks and naming changes.
    * editing.c: Implemented new name splitter.
    * namedetail.*: Implemented selection lists for titles and suffixes.
    * editing.c: Improved widget packing.
    * *.xml: Some design changes in tab layout, some names changed.
	* main.c: Some middle-name fixes. Disable edit and new buttons
	          while edit window is open.
	
2004-09-14  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c, main.c: Added parameter to edit_person() to set different 
                         window titles if editing or adding a contact.
    * Makefile: Version update.
    * namedetail.c, editing.c: Added middle name.
    * *.xml: Some reordering and new fields.
    * Removed contacts-tab.conf.de, it is not used anymore.
    
2004-09-04  Florian Boor  <florian.boor@kernelconcepts.de>

    * namedetail.c: Changed packing.

2004-08-25  Florian Boor  <florian.boor@kernelconcepts.de>

    Released Version 0.28
    * Makefile: Updated version number.
    * main.c: Support of some standard hotkeys (Ctrl+q, Ctrl+n...)
    * db.c: We support contacts without name now.
    * main.c: Added exception list of fields not to show in overview.
    * editing.c: Update categories list on abort, categories might have changed.
    * *.xml: Added company name.
    * main.c: get_tag_name(): Worked only on first page, fixed it.

2004-08-24  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c: Added missing population of categories display.
    * db.c: Fixed warning.

2004-08-23  Florian Boor  <florian.boor@kernelconcepts.de>
    
    * main.c: Fixed category update.
    * Released V 0.27
    * contacts-alternate-bigscreen.xml: New file.
    * Makefile: Added method to install alternate contact layout with broken 
                down address field.
    * Makefile: V 0.27
    * db.c: Fixed "MODIFIED" tag multiplication.
    * editing.c: Removed obsolete store_special_fields(), retrieve_special_fields()
    * main.c, editing.c, db.c: Several major bugfixes in category handling.
    * main.c: Automatic update of display after edit and deleting.

2004-08-20  Florian Boor  <florian.boor@kernelconcepts.de>

    * Released V 0.26
    * Makefile: New version.
    * editing.c: Implemented setting of name detail fields from name field.
    
2004-08-17  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c: Implemented filter to allow not to enter everythign in 
                 number fields.
	* editing.c, namedetail.c: Fixed name setup for new contacts.
    * editing.c: Make name field activated per default.
    * Released Version 0.25

2004-08-10  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Finished vcard import, disabled broken dialog.
    * main.c: Made tag search case insensitive, imported contacts are 
              displayed correctly now.    
    
2004-08-08  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: match_for_search() Fixed fieldname.
	* import-vcard*: New files (code taken from gpe-bluetooth).
	* main.c: Implemented import of vcard files (-i switch).
	* main.c: match_for_search() Added missing name field to look at.

2004-08-05  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c: Fixed unclean creation of date combos.

2004-08-04  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Fixed special handling of name.
    * editing.c: Layout fixed, labels aligned rigth now, corrected spacing.
    * contacts-layout-bigscreen.xml: Added ":" to labels, we have enough
                                     space here.

2004-08-04  Florian Boor  <florian.boor@kernelconcepts.de>

    * Released Version 0.24
    
    * editing.c, *.xml, structure.c: Support for name detail fields hidden in 
                                     main window.
    * contacts-layout.xml: Fixed name field.
    * editing.c: Support for multiple name fields.
    * main.c: Run editor if return key is pressed.    

2004-07-30  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: match_for_search(): Implemeted improved search algorithm.
    * db.c: Load given name and family name into person struct (for search).
    * main.c: Some formating fixes.
    * editing.c: Automatic update of name field.
    * editing.c, proto.h: Added update routine.
    * namedetail.c: Finished implementing detail editor.
    * Makefile: Updated version number to 0.24.

2004-07-29  Florian Boor  <florian.boor@kernelconcepts.de>

    * contacts-layout-bigscreen.xml: Added fields for name details.
    * namedetail.c: New file, started implementing name detail editor.

2004-07-28  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Several changes to keyboard control, escape clears search.
    * editing.c: Improved setting of default window size.
    * editing.c: Keyboard control: Enter saves, escape discards changes.

2004-07-24  Florian Boor  <florian.boor@kernelconcepts.de>

	* editing.c: Some improvement in dialog layout.
	* contacts-layout.xml: Optimisations for small screens, split up in "home"
	                       and "work" address page. 

2004-07-23  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Fixed bug in screen size detection.

2004-07-16  Florian Boor  <florian.boor@kernelconcepts.de>

    * Version 0.23 released

2004-07-14  Florian Boor  <florian.boor@kernelconcepts.de>
    
    * main.c: Activate search field whenever main window is activated.
    * main.c: Added command line switch "-n" to turn off configuration dialog.
    * editing.c: on_edit_bt_image_clicked(): Dialog is now modal.
    * po/es.po: Added file to avoid build error.
    * editing.c: Improved date settings.
    * control1: Changed version number of libgpewidget we depend on to 0.86.
    * main.c: Format date according to current locale settings.

2004-07-13  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c: Finished handling of direction keys.
    * editing.c: Implementation for dynamic built images.
    * editing.c: Fixed image handling.
    * editing.c: Several minor fixes.
    * editing.c: Started experimental keyboard navigation improvement.
    * *xml: Changed order and minor fixes.

2004-07-12  Florian Boor  <florian.boor@kernelconcepts.de>

    * editing.c: Improved keyboard navigation in edit dialog.
    * editing.c: Fixed image selection.
    * editing.c: Some formating changes. 
    * main.c, main.h: Detect and publish information flags about screen.
    * editing.c: edit_window() Removed old cruft.
    * editing.c, structure.c, Makefile: Added alternate layout for larger 
                                        screens.
    * contacts-layout-bigscreen.xml: New file.
    * structure.*: New item types: Images and dates.
    * editing.c: several changes for a more flexible layout.

2004-07-09  Florian Boor  <florian.boor@kernelconcepts.de>

    * main.c: Removed toolbar style setting, we use Xsettings for this now.
    * main.c: Implemented landscape screen layout for main window.
    * main.c: Improved default window size for systems not using matchbox.
    * main.c: Implemented field name lookup for landscape layout.
    * main.c: Up/Down keys select contact now.
    * main.c: Improved keyboard control in main window.

2004-06-21  Philip Blundell  <philb@gnu.org>

	* Version 0.22 released.
	
2004-06-21  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add es.

2004-06-01  Philip Blundell  <philb@gnu.org>

	* Version 0.21 released.
	
2004-06-01  Philip Blundell  <philb@gnu.org>

	* Makefile (install-program): Correct install path for application
	pixmaps.

2004-05-04  Philip Blundell  <philb@gnu.org>

	* Makefile (VERSION): Version 0.20 released.

2004-03-08  Philip Blundell  <philb@gnu.org>

	* old-db.c: Include <gpe/errorbox.h> to fix warning.
	* Makefile (PACKAGE_CPPFLAGS, PACKAGE_CFLAGS, PACKAGE_LDFLAGS):
	Define and use instead of CPPFLAGS, CFLAGS and LDFLAGS.

2004-03-07  Moray Allan  <moray@sermisy.org>

	* main.c: Use themeable names when loading application pixmaps.

2004-02-29  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.19 released.
	
2004-02-29  Phil Blundell  <pb@nexus.co.uk>

	* familiar/control1 (Depends): Add libgpevtype0, libmimedir0,
	dbus-glib-1.

	* main.c (list_button_press_event): Only show menu item for
	bluetooth export if gpe-bluetooth service is available.
	(popup_init): Save pointer to this item.
	(main): Call export_init.
	* export.c (export_init): New.
	(menu_do_send_bluetooth): Fill in implementation.
	* export.h (export_init): New.

2004-02-29  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (LDFLAGS, CFLAGS): Add libgpevtype and libmimedir.
	(MEMBERS): Add export.

	* export.c, export.h: New files.
	
	* main.h: New.
	* editing.c, main.c: Include main.h.
	* proto.h (update_display): Moved to main.h.

	* main.c (menu_do_edit, menu_do_delete): New.
	(export_contact): Deleted.
	(delete_contact): Swap position of buttons in confirmation dialog.
	(selection_made): Remove handling of export button.
	(list_button_press_event, list_button_release_event): New.
	(create_popup): New.
	(create_main): Don't create export button.  Install signal
	handlers for list view.
	(main): Call create_popup.
	
	* support.h (get_widget, add_pixmap_directory, create_pixmap):
	Delete old cruft.

2004-02-25  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.18 released.

2004-02-23  Phil Blundell  <pb@nexus.co.uk>

	* po/cs.po, po/hu.po, po/nl.po, po/ro.po, po/ru.po, po/sk.po,
	po/sr.po: New files.

	* main.c (t_tabdef, load_tab_config): Deleted.
	(create_main): Remove notebook handling.  Clear CAN_FOCUS flag on
	tree view widget.
	(main_view_switch_page): Deleted.
	(main): Don't call update_display.
	(update_display): Use do_search.

2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* Version 0.17 released.

2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* familiar/control1 (Depends): Add libgpepimc0.

	* main.c (panel_config_has_changed): Delete.
	(load_panel_config): Rewrite.
	(new_contact): Create new person struct here.

	* editing.c (build_categories_string): Use libgpepimc.
	(get_categories_list): New.
	(update_categories_list): Likewise.
	(store_special_fields): Don't handle p==NULL.

	* db.c (db_open): Don't create categories table.
	(db_get_config_values): Use g_strdup_printf.

	* configure.c (on_bDetAdd_clicked): Rewrite with GtkListStore and GtkTreeView.
	(on_bDetRemove_clicked): Likewise.
	(create_pageSetup): Likewise.
	(on_clist8_select_row, on_clist8_unselect_row): Deleted.
	(on_setup_destroy): Deleted.
	(configure_ok_clicked): New.
	(configure): Add Cancel button.

2004-02-22  Phil Blundell  <pb@nexus.co.uk>

	* old-db.c: New.
	* Makefile (MEMBERS): Add old-db.

	* db.c (db_open): Don't create categories table.  Initialize
	libgpepimc.  Call migrate_old_categories().
	(load_one_attribute): Deleted.
	(db_get_categories): Deleted.
	(db_free_categories): Deleted.
	(db_get_category_name): Deleted.
	* db.h (struct category): Deleted.
	(db_get_categories): Deleted.
	(db_free_categories): Deleted.
	(db_get_category_name): Deleted.
	(db_insert_category, db_delete_category): Deleted.

2004-02-17  Philip Blundell  <philb@gnu.org>

	* callbacks.c: Deleted.
	(retrieve_special_fields, on_edit_save_clicked,
	on_categories_clicked, store_filename, on_edit_cancel_clicked):
	Move to editing.c.
	(on_bDetAdd_clicked, on_bDetRemove_clicked, on_clist8_select_row,
	on_clist8_unselect_row, on_setup_destroy): Move to new file
	configure.c.
	* callbacks.h: Deleted.
	* main.c: Remove #include callbacks.h.
	(create_pageSetup, configure): Move to configure.c.
	(build_categories_string, store_special_fields, edit_person): Move
	to editing.c.
	* Makefile (MEMBERS): Delete callbacks.  Add configure.
	* proto.h (configure, edit_person, update_display,
	load_panel_config): Add prototypes.
	* editing.c: Add forward decls for signal handlers.  Remove
	#include callbacks.h.
	* structure.c, configure.c: Remove #include callbacks.h.
	* support.c: Remove unused code.

2004-02-16  Philip Blundell  <philb@gnu.org>

	* db.c (db_free_categories): New function.
	* db.h (db_free_categories): Prototype it.
	* main.c (update_categories): Use it.
	(do_search): Likewise.

2004-02-16  Philip Blundell  <philb@gnu.org>

	* main.c (config_categories_box): Deleted.
	(new_category, delete_category): Likewise.
	(configure): Remove "Categories" tab.

2004-02-16  Philip Blundell  <philb@gnu.org>

	* adb.glade: Deleted.

	* Makefile (MEMBERS): Remove interface.
	* interface.c: Deleted.
	* interface.h: Likewise.
	* callbacks.c: Remove #include of interface.h.
	* structure.c: Likewise.
	* main.c: Likewise.
	* categories.c: Likewise.
	* editing.c: Likewise.

	* db.c: Remove usqld cruft.

2004-02-16  Philip Blundell  <philb@gnu.org>

	* Makefile (MEMBERS): Add categories.
	* categories.c: New file.
	* categories.h: Likewise.
	* db.c (db_get_category_name): New function.
	* db.h (db_get_category_name): New prototype.
	* main.c (store_special_fields): Revamp category list handling.
	(build_categories_string): New.
	* callbacks.c (on_categories_clicked): New.
	(retrieve_special_fields): Use GObject.
	(edit_bt_image_clicked): Likewise.
	* callbacks.h: Delete outdated prototypes.
	(on_categories_clicked): Added.
	* editing.c (add_tag): Use GObject.
	(destroy_category_widgets): Deleted.
	(create_edit): Use GObject.  Revamp category list handling.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* main.c (create_main): Re-run search when selection made from
	category menu.
	(do_search): Fix warning.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* editing.c (edit_window): Tweak packing of action buttons.  Add
	"delete" button (currently inoperative).  Set sensible default
	size on window.

	* main.c (create_main): Stash pointers to edit, delete and export
	buttons as properties on main window.  Make all three insensitive.
	(selection_made): Toggle sensitivity on all three buttons.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* main.c (create_main): Remove "go" button from search panel;
	replaced with interactive search-as-you-type.
	(schedule_search): New.
	(search_timer_func): Likewise.
	(do_search): Fix warning.

	* callbacks.c: Fix warnings.

	* db.c (read_name): Remove commented-out code.
	(read_one_entry): Uncomment SQL queries.
	(read_one_entry_alpha): New.
	(db_get_entries_alpha): Use read_one_entry_alpha.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* Version 0.16 released.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add cs, nl, hu, ro, ru, sr, sk

2004-02-13  Phil Blundell  <pb@nexus.co.uk>

	* db.c (commit_person): Write out MODIFIED tag.

2003-10-11  Andrey Tatarinov <elephantum@dezcom.mephi.ru>
	
	* db.c: add utf-8 support for tabs
	* db.c: add sorting by name
	* editing.c: add scrolled_window to "personal" tab in edit contact window
	* main.c: enlarged length of symbols string in tab reading

2003-10-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add cs.

2003-10-09  Florian Boor <florian.boor@kernelconcepts.de>
	
	* Makefile: Replaced "install -s" to make crosscompiling work.

2003-08-19  Florian Boor <florian.boor@kernelconcepts.de>

	* main.c: Added basic vcard export.
	* Removed obsolete comments from main.c
	* Makefile: Added new icon, changed installation path to allow icon themes.
	* control1: Added "Source" description field.

2003-07-29  Philip Blundell  <philb@gnu.org>

	* Makefile (CPPFLAGS): Add -DENABLE_NLS.
	* main.c (main): Add calls to setlocale and bindtextdomain_codeset.

2003-07-27  Phil Blundell  <pb@nexus.co.uk>

	* db.c: Make schema decls acceptable to GCC 3.3.

2003-07-06  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add sv.
	* po/sv.po: New file, courtesy Christian Rose.	

2003-07-06  Moray Allan  <moray@ascendit.sermisy.org>

	* Makefile (install_program): Install .desktop file with .desktop 
	filename extension.

2003-05-29  Philip Blundell  <philb@gnu.org>

	* Version 0.14 released.

2003-05-29  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add de.

2003-05-28  Florian Boor <florian.boor@kernelconcepts.de>
	* main.c Removed obsolete var definition.
			 Made tabbed notebook scrollable to support more tabs.

2003-04-28  Florian Boor <florian.boor@kernelconcepts.de>
	* db.c, a speedup for read_one_entry - should be treated as a test

2003-04-28  Florian Boor <florian.boor@kernelconcepts.de>
	* db.c (db_get_entries_alpha): SQL code bugfixes, speedup.
	  Supports inverse char lists now. (first char='!')
	* main.c, contacts-tab.conf.de: new defaults.

2003-04-27  Philip Blundell  <philb@gnu.org>

	* main.c (load_tab_config): Reformat.  Avoid
	uninitialised-variable crash if tab file is missing.

2003-04-25	Florian Boor	<florian.boor@kernelconcepts.de>

	* main.c, some fixes for new tab handling, some cleanups
	* db.c, db_get_entries_alpha some bugfixes in sql generating code
	* contacts-tab.conf.de, new: example tab configuration for german language setting
	
2003-04-24	Florian Boor	<florian.boor@kernelconcepts.de>

	* main.c, some code for improved tab handling and configuration
	* db.c, db_get_entries_alpha speedup - needs testing

2003-04-12  Philip Blundell  <philb@gnu.org>

	* Version 0.13 released.
	
2003-04-12  Philip Blundell  <philb@gnu.org>

	* db.h (sort_entries): Add prototype.
	* main.c (do_search): Sort the returned list.

	* db.c (db_get_entries_alpha): Use g_slist_insert_sorted.
	(read_one_entry): Use g_slist_prepend.
	(load_one_attribute): Likewise.
	(db_set_data): Likewise.
	(db_set_multi_data): Likewise.

2003-04-11  Philip Blundell  <philb@gnu.org>

	* editing.c (create_edit): Don't use GtkDialog.

2003-03-23  Phil Blundell  <pb@nexus.co.uk>

	* callbacks.c (on_edit_save_clicked): Put decl in right place.

2003-03-22  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile (install-program): New name for 'install' ('install' is
	now provided by Makefile.dpkg_ipkg).  

2003-03-17  Philip Blundell  <philb@gnu.org>

	* Version 0.12 released

2003-03-17  Philip Blundell  <philb@gnu.org>

	* editing.c: Include stdlib.h to fix warning.
	(edit_window): Remove spurious gtk_widget_show.
	(create_edit): Likewise.
	(build_children): Don't make a frame for groups, just put a label
	above the members.

	* callbacks.c (on_edit_save_clicked): Cope with GtkTextView
	elements.

2003-03-15  Philip Blundell  <philb@gnu.org>

	* Makefile (install): Depend on .desktop file.

2003-03-15  Philip Blundell  <philb@gnu.org>

	* Version 0.11 released.

2003-03-15  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Require libdm0.

	* main.c (do_search): New function.
	(match_for_search): Likewise.
	(create_main): Wire up "search" functionality.

2003-03-15  Philip Blundell  <philb@gnu.org>

	* familiar/control1 (Depends): Require libgpewidget1 0.53.

	* Makefile: Remove GTK1 compatibility.
	(LDFLAGS, CFLAGS): Set depending on $(DEBUG).  Add libdm.

	* structure.c (edit_structure): Remove GTK1 compatibility.  Use
	stock items.  Remove redundant calls to gtk_widget_show.  Set
	policy on scrolled window to AUTOMATIC, AUTOMATIC.

	* editing.c (create_edit): Use GtkDialog.  Remove unnecessary
	Glade remnants.  Use GObject functions.
	(edit_window): Remove redundant gtk_widget_show calls.

	* main.c (my_icons): Remove new, save, properties.
	(edit_person): Use gtk_widget_show_all.
	(edit_contact): Use GtkTreeSelection.
	(delete_contact): Likewise.
	(config_categories_box): Remove GTK1 compatibility code.  Use
	stock items.
	(configure): Use GtkDialog.  Replace many gtk_widget_show calls
	with one gtk_widget_show_all.  Only set size hints, not actual
	window dimensions.  Mark window for migration.  Use GObject signal
	functions. 
	(show_details): Remove check for clist.
	(selection_made): Use GtkTreeSelection.  Don't attempt to handle
	double clicks.
	(update_display): Use GtkListView, etc.
	(main_view_switch_page): New.
	(create_main): Likewise.
	(main): Call libdm_init.  Create list store, etc.  Delete widget
	initialisation now done in create_main.  Use gtk_widget_show_all.

	* adb.glade: Remove "main" window.
	* interface.c (create_main): Delete.
	* interface.h (create_main): Likewise.

	* callbacks.c (on_nbList_switch_page): Delete.
	* callbacks.h (selection_made): Likewise.

2003-03-12  Philip Blundell  <philb@gnu.org>

	* Makefile: Version 0.10 released.

2003-03-12  Philip Blundell  <philb@gnu.org>

	* db.c (db_delete_tag): Use strcasecmp for tags.
	(db_find_tag): Likewise.
	* main.c (store_special_fields): Likewise.

	* db.c (db_get_entries_alpha): Implement in terms of
	db_get_entries.
	(read_name): New.
	(read_one_entry): Look name up with a separate query.
	(db_get_entries): Add error trapping.  Just search the URN table,
	don't assume anything about the tags.

2003-03-09  Philip Blundell  <philb@gnu.org>

	* gpe-contacts.desktop.in: New file.
	* gpe-contacts.desktop: Deleted.

	* callbacks.c, db.c, editing.c, interface.c, main.c, structure.c,
	support.c, callbacks.h, db.h, interface.h, proto.h, structure.h,
	support.h: Moved here from src subdirectory.
	* Makefile: Adjust appropriately.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* Version 0.09 released.

2003-01-11  Philip Blundell  <philb@gnu.org>

	* src/main.c (edit_person): Cope with GtkTextView widgets.
	(config_categories_box): Improve tooltips.

	* src/editing.c (create_edit): Use stock buttons.
	(build_children): Replace GtkText with GtkTextView.  Set vertical
	size to 64.

	* Makefile (GTKCFLAGS): Remove GTK_ENABLE_BROKEN.

2003-01-01  Philip Blundell  <philb@gnu.org>

	* Version 0.08 released.
	
2003-01-01  Philip Blundell  <philb@gnu.org>

	* gpe-contacts.desktop (SingleInstance): Set to true.

	* src/main.c (main): Set icon on main window.
	(configure): Set icon and title on config window.
	* src/editing.c (create_edit): Set icon on editing window.

2002-12-15  Philip Blundell  <philb@gnu.org>

	* gpe-contacts.desktop: New file.
	* Makefile (install): Install it.

2002-12-15  Philip Blundell  <philb@gnu.org>

	* Version 0.07 released.

2002-12-15  Philip Blundell  <philb@gnu.org>

	* src/structure.c (edit_structure): Fix warnings.
	* src/db.c (db_open): Likewise.
	* src/main.c (load_panel_config): Likewise.
	* src/callbacks.c (on_edit_save_clicked): Likewise.
	(retrieve_special_fields): Likewise.

	* adb.glade: Delete unused "detailview" window.

	* src/editing.c (create_edit): Remove unimplemented "Clear"
	button.
	* src/callbacks.c (on_edit_clear_clicked): Delete.
	(structure_add_clicked): Likewise.
	(structure_edit_clicked): Likewise.
	(structure_delete_clicked): Likewise.
	* src/callbacks.h (on_edit_clear_clicked): Likewise.
	(structure_add_clicked): Likewise.
	(structure_edit_clicked): Likewise.
	(structure_delete_clicked): Likewise.
	(on_structure_test): Likewise.
	(on_structure_save_clicked): Likewise.
	
	* contacts-layout.xml: Delete "Photo" page.

2002-12-09  Florian Boor <florian.boor@kernelconcepts.de>

	* adb.glade: Undocumented changes.

	* src/callbacks.c: (on_bDetAdd_clicked): New Function.
	(on_bDetRemove_clicked): New Function.
	(on_clist8_select_row): New Function.
	(on_clist8_unselect_row): New Function.
	(on_setup_destroy): New Function.

	* src/callbacks.h: (on_bDetAdd_clicked): Prototype.
	(on_bDetRemove_clicked): Prototype.
	(on_clist8_select_row): Prototype.
	(on_clist8_unselect_row): Prototype.
	(on_setup_destroy): Prototype.

	* src/db.c (db_get_tag_list): New Function.                        
	(db_get_config_values): New Function.
	(db_add_config_values): New Function.
	(db_delete_config_values): New Function.
	(db_get_config_tag): New Function.
	(db_free_result): New Function.
	(db_open): Added creation and initialisatzion for config table.

	* src/db.h (db_get_tag_list): New Prototype.                       
	(db_get_config_values): New Prototype.
	(db_add_config_values): New Prototype.
	(db_delete_config_values): New Prototype.
	(db_get_config_tag): New Prototype.
	(db_free_result): New Prototype.

	* src/main.c (mainw): Make global.
	(load_panel_config): New Function.
	(create_pageSetup): New Function.
	(update_categories): Added some casts.
	(configure): Added code for new page creation.
	(show_details): Changed for changing content.
	(selection_made): Added code for panel update and fix for some
	warnings).

2002-12-01  Philip Blundell  <philb@gnu.org>

	* src/editing.c (create_edit): Mark "Schedule" button insensitive,
	to discourage further bug reports about it not working.

	* src/main.c (edit_contact): New function.
	(my_icons): Add edit.
	(main): Add "edit" icon to toolbar.
	(selection_made): Remove redundant code.
	
	* icons/entry.xpm, icons/frame.xpm, icons/notebook.xpm: Deleted.
	* icons/entry.png, icons/frame.png, icons/notebook.png: New.
	* src/main.c (my_icons): Adjust filenames accordingly.
	* Makefile (install): Likewise.

2002-12-01  Philip Blundell  <philb@gnu.org>

	* Version 0.06 released.
	
2002-12-01  Philip Blundell  <philb@gnu.org>

	* src/main.c (delete_category): Implement.

	* src/db.c (db_delete_category): New function.
	* src/db.h (db_delete_category): Prototype.

	* src/structure.c (structure_delete_item): Add "are you sure" dialog.

	* familiar/control, familiar/control1: Require libgpewidget 0.30.

	* src/structure.c (edit_structure): Just one column in the CTree.

	* src/main.c (selection_made): Make linkage global.
	* src/callbacks.c (selection_made): Delete.

	* src/Makefile (DIR_PO): Define.
	* src/Makefile.in, src/Makefile.am: Delete autotools cruft.

	* src/main.c (show_details): New function.
	(selection_made): Use it.
	(main): Clear details at startup.

	* src/main.c (update_categories_combo): Delete.
	(update_categories): New function.
	(delete_category): Adjust accordingly.
	(new_category): Likewise.
	(main): Likewise.  Make the GtkSimpleMenu and pack it in place.

	* src/db.c (db_detail_by_uid): Delete.
	(read_detail_data): Likewise.
	(read_detail_fields): Likewise.
	(db_get_categories): Reformat.
	(db_get_entries_alpha): Likewise.

	* adb.glade (main): Delete toolbar.  Add new hbox below main clist
	containing category selector and search filter box.
	(detail_view): Delete image.
	* src/main.c (main): Create a toolbar here and splice it into the
	main window.

2002-12-01  Philip Blundell  <philb@gnu.org>

	Patch from Florian Boor:

	* adb.glade: updated gui

	* src/callbacks.c:
	- added active_chars to hold active selection
	- added some externals
	- on_nbList_switch_page is new handler for page/selection change
	- selection_made now handles editing via doubleclick here
	
	* src/db.c
	- added definition of USE_USQLD to switch
	- usqld usage
	- db_get_entries_alpha selects only entys starting with listed chars
	- read_detail_fields / read detail / db_detail_by_uid data to
	update some details shown in the main form

	* src/db.h
	- db_get_entries_alpha

	* src/interface.c
	- some interface changes, use glade...

	* src/main.c
	- some changes in startup behaviour to use features of changed interface
	- update_display changed call/added freeze for speedup

	* src/structure.c
	- added some . :-)

2002-10-02  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2002-09-23  Colin Marquardt  <colin@marquardt-home.de>

	* src/main.c: Small spelling fixes. Add copyright info to top of
	file.

2002-08-25  Philip Blundell  <philb@gnu.org>

	* Version 0.04 released.

2002-08-25  Philip Blundell  <philb@gnu.org>

	* src/main.c (store_special_fields): Avoid crash when NULL passed
	in or no category widgets exist.

	* evo2gpe.py: New file, courtesy Robert Mibus.

2002-08-24  Philip Blundell  <philb@gnu.org>

	* src/Makefile.am (gpe_contacts_LDADD): Reinstate -L../../libgpewidget.

	* src/editing.c (destroy_category_widgets): New function.
	(create_edit): Store list of category checkboxes.
	* src/db.c (db_set_multi_data): New function.
	(read_entry_data): Use it.
	(db_delete_tag): New function.
	* src/db.h (db_set_multi_data): New prototype.
	(db_delete_tag): Likewise.
	* src/main.c (store_special_fields): New function.
	(edit_person): Call it.
	* src/callbacks.c (retrieve_special_fields): New function.
	(on_edit_save_clicked): Call it.
	
	* src/proto.h: New file.
	* src/main.c: Include it.
	* src/callbacks.c: Likewise.

2002-08-15  Philip Blundell  <philb@gnu.org>

	* src/editing.c: Change path to libgpewidget headers.
	* src/db.c: Likewise.
	* src/main.c: Likewise.
	* src/callbacks.c: Likewise.
	* src/structure.c: Likewise.
	
	* src/editing.c (build_children): Fix typo.

2002-08-12  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: New file.
	* configure.in: Added de to ALL_LINGUAS.

2002-08-11  Philip Blundell  <philb@gnu.org>

	* src/structure.c (structure_new_field): Offer list of possible
	tags in a combo box.
	
	* src/structure.c (load_well_known_tags): New function.
	* src/structure.h (load_well_known_tags): Add prototype.
	* src/main.c (main): Call load_well_known_tags.

	* src/structure.c (print_structure_1): Use correct format when
	printing tag.
	
	* well-known-tags: New file.
	* Makefile.am (install-data-local): Install it.

	* src/editing.c (edit_window): Put contents of tab in a scrolled window.

2002-07-31  Colin Marquardt  <colin@marquardt-home.de>

	* familiar/control (Version):  Bump up to version 0.02-1.

	* Makefile.am (install-data-local): Copy pixmap to the right place.

	* familiar/postinst, familiar/postrm: New files.1

	* familiar/control (Version): Bump up to version 0.02.

	* icons/gpe-contacts.png: New file.

	* Makefile.am: Copy the menu, add the Makefile snippet for the
	ipkg/dpkg targets.

	* gpe-contacts.menu: New file.

	* contacts-layout.xml: New structure.
